Index: npl/internetserver/openvpn_conf/openvpn_conf.build
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6568
Index: npl/internetserver/openvpn_conf/openvpn_conf.md5
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,19 +1,14 @@
-05d3835d732a45b1a2bd82fdbd2f8eba  ./openvpn_conf.pkg
+84b97c6bd7411fe5a5110e67785272aa  ./openvpn_conf.pkg
 729b418d4c2197708760319d4097906e  ./openvpn_conf.SlackBuild
-c382349dc1f6fe03d5c91830899dd03c  ./openvpn_conf.SlackBuild.log.gz
-638790d39f3f773301dd0c58a0db6008  ./root/etc/cron.monthly/openvpn_regen_crl
+41e3ebf78419a59c7219ac4431d30dcb  ./openvpn_conf.SlackBuild.log.gz
 02590f2d27b9254da5877e03719a9228  ./root/etc/firewall/services.openvpn
 5d08314120a94191e539c792b1c410a2  ./root/etc/openvpn/easyrsa
 d6cb374d0d7d5b7b87d74f9976362a70  ./root/etc/openvpn/openssl-1.0.cnf
-f42fa1429d120215de3296d5ff017096  ./root/etc/openvpn/openvpn.conf
-ccde8782f21ca8725cbee63bac822fa2  ./root/etc/openvpn/openvpn_custom.conf.new
-d41d8cd98f00b204e9800998ecf8427e  ./root/etc/openvpn/openvpn_syn3.conf.new
+ebdf56e3b63490a860f3ef711612b163  ./root/etc/openvpn/openvpn.conf
 f3bdb2484e8eee18be1cb25093d1d19a  ./root/etc/openvpn/pam_ldap.conf
-0ba8b76a2611b8fb47b6d0a805a0e4a3  ./root/etc/openvpn/rules/example_name
 a7956355ff8cb69cc5ee0ed476380149  ./root/etc/openvpn/syn3-client
 911a84e4c60d9fd8ba15f0b31415a657  ./root/etc/openvpn/syn3.conf.new
 5f1d7122cb69dc05cda3c913f70f1cc1  ./root/etc/openvpn/syn3-genconfig
-b5117d9c7b9e2818d8beffd016ba02a2  ./root/etc/openvpn/template.ovpn
-110d475c05ef7aecc70e3f70f4fa99d7  ./root/etc/openvpn/update-ipset.sh
+aed23bf689b5b934959b28c45847b7ae  ./root/etc/openvpn/template.ovpn
 bdf6c4b1e71f502a768eda6e65e1ffbd  ./root/etc/openvpn/x509-types/ca
 84e917d7be5ee502148039694d5e579e  ./root/etc/openvpn/x509-types/client
@@ -21,3 +16,4 @@
 d0d7a06379af67505bf5dae59d3e7afb  ./root/etc/openvpn/x509-types/server
 c8fadda104656594f3ceadbb13d9d178  ./root/etc/pam.d/openvpn
-d09eb1689aabdbae387d3c034d6553a7  ./root/service/openvpn/run
+0b5c1be62a06a25f07bb7360014c82e7  ./root/etc/postinst.d/post.openvpn
+aeb8d4aa99fe22f5483fa5d4f593ffa2  ./root/service/openvpn/run
Index: npl/internetserver/openvpn_conf/root/etc/cron.monthly/openvpn_regen_crl
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/cron.monthly/openvpn_regen_crl	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/bash
-
-
-cd /etc/openvpn
-./easyrsa gen-crl  &>/dev/null
-
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,23 @@
-#########################################
-### SYN-3 openvpn configuration
-### This file will be overwritten by updates.
-### Please make changes in /etc/openvpn/openvpn_custom.conf
-##########################################
-
+#################################################
+# Sample OpenVPN 2.0 config file for            #
+# multi-client server.                          #
+#                                               #
+# This file is for the server side              #
+# of a many-clients  one-server                 #
+# OpenVPN configuration.                        #
+#                                               #
+# OpenVPN also supports                         #
+# single-machine  single-machine                #
+# configurations (See the Examples page         #
+# on the web site for more info).               #
+#                                               #
+# This config should work on Windows            #
+# or Linux/BSD systems.  Remember on            #
+# Windows to quote pathnames and use            #
+# double backslashes, e.g.:                     #
+# "C:\\Program Files\\OpenVPN\\config\\foo.key" #
+#                                               #
+# Comments are preceded with '#' or ';'         #
+#################################################
 
 # Which local IP address should OpenVPN
@@ -71,5 +86,5 @@
 #   openssl dhparam -out dh1024.pem 1024
 # Substitute 2048 for 1024 if you are using
-# 2048 bit keys.
+# 2048 bit keys. 
 dh /etc/openvpn/pki/dh.pem
 
@@ -168,5 +183,5 @@
 # a more specific route than the default route
 # of 0.0.0.0/0.0.0.0.
-;push "redirect-gateway"
+push "redirect-gateway"
 
 # Certain Windows-specific network settings
@@ -174,5 +189,5 @@
 # or WINS server addresses.  CAVEAT:
 # http://openvpn.net/faq.html#dhcpcaveats
-;push "dhcp-option DNS 10.8.0.1"
+push "dhcp-option DNS 10.8.0.1"
 ;push "dhcp-option WINS 10.8.0.1"
 
@@ -196,5 +211,5 @@
 # EACH HAVING ITS OWN UNIQUE "COMMON NAME",
 # UNCOMMENT THIS LINE OUT.
-duplicate-cn
+;duplicate-cn
 
 # The keepalive directive causes ping-like
@@ -231,7 +246,5 @@
 # If you enable it here, you must also
 # enable it in the client config file.
-#Disable from now on, see https://community.openvpn.net/openvpn/wiki/VORACLE
-comp-lzo no
-push "comp-lzo no"
+comp-lzo
 
 # The maximum number of concurrently connected
@@ -288,5 +301,2 @@
 plugin /usr/lib/openvpn/plugins/openvpn-plugin-auth-pam.so "openvpn login USERNAME password PASSWORD"
 
-#learn ipsets to allow firewalling on openvpn certificate name
-learn-address /etc/openvpn/update-ipset.sh
-script-security 3
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,3 +1,0 @@
-# Put your custom openvpn setting here. This will not be overwritten by updates.
-
-
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/rules/example_name
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/rules/example_name	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,7 +1,0 @@
-allow_tcp 192.168.70.222 3389
-
-allow_tcp 192.168.70.222 139
-allow_tcp 192.168.70.222 445
-allow_udp 192.168.70.222 445
-allow_udp 192.168.70.222 138
-allow_udp 192.168.70.222 137
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/template.ovpn
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/template.ovpn	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/template.ovpn	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -96,6 +96,5 @@
 # Don't enable this unless it is also
 # enabled in the server config file.
-#No, see https://community.openvpn.net/openvpn/wiki/VORACLE
-#comp-lzo
+comp-lzo
 
 # Set log file verbosity.
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/update-ipset.sh
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/update-ipset.sh	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#!/bin/bash
-
-# Openvpn iptables rules based on certificate name.
-# (C)2018 SYN-3 edwin@datux.nl
-
-OPERATION=$1
-IP=$2
-CN=$3
-
-
-log()
-{
- logger -t openvpn-update-ipset "$1"
-}
-
-# always make sure the ip doesnt exist in other sets (in case of bugs/openvpn restarts)
-log "Deleting $IP from all ipsets"
-for SET in `ipset list -n|grep ^openvpn_cert_`; do ipset del $SET $IP; done    
-
-
-if [ "$OPERATION" == "add" ] || [ "$OPERATION" == "update" ]; then
-    # add chain
-    log "Adding $IP to ipset openvpn_cert_$CN"
-    ipset create openvpn_cert_$CN hash:ip
-    ipset add openvpn_cert_$CN $IP
-fi
-
-
-exit 0
Index: npl/internetserver/openvpn_conf/root/etc/postinst.d/post.openvpn
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/postinst.d/post.openvpn	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/openvpn_conf/root/etc/postinst.d/post.openvpn	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,56 @@
+#!/bin/bash
+
+set -e
+
+cd /etc/openvpn
+
+
+#basic setup
+if ! [ -e pki ]; then
+	./easyrsa init-pki
+fi
+
+#create ca cert
+if ! [ -e pki/ca.crt ]; then
+	echo syn3 | ./easyrsa build-ca nopass
+fi
+
+#create server cert
+if ! [ -e pki/issued/server.crt ]; then
+	./easyrsa build-server-full server nopass
+fi
+
+#create dh parameters
+if ! [ -e pki/dh.pem ]; then
+	./easyrsa gen-dh
+fi
+
+#create CRL list
+if ! [ -e pki/crl.pem ]; then
+	./easyrsa gen-crl
+fi
+
+#openvpn group
+if ! ( getent group | grep "OpenVPN access" &> /dev/null ) ; then
+ smbldap-groupadd -g 521 "OpenVPN access" || exit 1;
+fi
+
+#openvpn ipblock
+NAME="OpenVPN clients"
+if ! grep "$NAME" /etc/firewall/ipblocks; then
+	echo "$NAME='10.8.0.0/24'" >> /etc/firewall/ipblocks
+fi
+
+
+
+
+#create tlsauth key
+if ! [ -e pki/ta.key ]; then
+        openvpn --genkey --secret pki/ta.key
+fi
+
+
+
+#example
+#./syn3-client bla.linuxsysteem.nl gerard
+
Index: npl/internetserver/openvpn_conf/root/service/openvpn/run
===================================================================
--- npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,57 +1,6 @@
 #!/bin/bash
-
-set -e
-
-cd /etc/openvpn
-
-# key generation moved here, otherwise it takes too long (now the system is generating more entrophy because it continues to start)
-
-
-#basic setup
-if ! [ -e pki ]; then
-	./easyrsa init-pki
-fi
-
-#create ca cert
-if ! [ -e pki/ca.crt ]; then
-	echo syn3 | ./easyrsa build-ca nopass
-fi
-
-#create server cert
-if ! [ -e pki/issued/server.crt ]; then
-	./easyrsa build-server-full server nopass
-fi
-
-#create dh parameters
-if ! [ -e pki/dh.pem ]; then
-	./easyrsa gen-dh
-fi
-
-#create CRL list
-if ! [ -e pki/crl.pem ]; then
-	./easyrsa gen-crl
-fi
-
-#openvpn group
-if ! ( getent group | grep "OpenVPN access" &> /dev/null ) ; then
- smbldap-groupadd -g 521 "OpenVPN access" || exit 1;
-fi
-
-#openvpn ipblock
-NAME="OpenVPN clients"
-if ! grep "$NAME" /etc/firewall/ipblocks; then
-	echo "$NAME='10.8.0.0/24'" >> /etc/firewall/ipblocks
-fi
-
-#create tlsauth key
-if ! [ -e pki/ta.key ]; then
-        openvpn --genkey --secret pki/ta.key
-fi
-
-#make sure this is done (otherwise crl expire error after updating to this openvpn version)
-/etc/cron.monthly/openvpn_regen_crl
-
 
 modprobe tun
 
-exec openvpn --config openvpn.conf --config openvpn_syn3.conf  --config openvpn_custom.conf
+cd /etc/openvpn
+exec openvpn --config openvpn.conf
